WebdavSupportedExchange (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.client.webdav

## Class WebdavSupportedExchange

- java.lang.Object
- - org.eclipse.jetty.client.HttpExchange
  - - org.eclipse.jetty.client.webdav.WebdavSupportedExchange

-     public class WebdavSupportedExchange
      extends HttpExchange

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.client.HttpExchange

      `HttpExchange.CachedExchange, HttpExchange.ContentExchange`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.client.HttpExchange

      `STATUS_CANCELLED, STATUS_CANCELLING, STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebdavSupportedExchange()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isWebdavSupported()`
    `protected void` | `onResponseComplete()` Callback called when the entire response has been received from the server This implementation does nothing.
    `protected void` | `onResponseHeader(Buffer name, Buffer value)` Callback called for each response header received from the server.
    `void` | `waitTilCompletion()`

    - ### Methods inherited from class org.eclipse.jetty.client.HttpExchange

      `addRequestHeader, addRequestHeader, cancel, cancelTimeout, configureListeners, expire, getAddress, getEventListener, getLocalAddress, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRequestURI, getRetryStatus, getScheme, getStatus, getTimeout, getURI, getVersion, isDone, isDone, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseContent, onResponseHeaderComplete, onResponseStatus, onRetry, onSwitchProtocol, reset, scheduleTimeout, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRequestURI, setRetryStatus, setScheme, setScheme, setTimeout, setURI, setURI, setURL, setVersion, setVersion, toState, toString, waitForDone, waitForStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebdavSupportedExchange

          public WebdavSupportedExchange()

  - ### Method Detail

    - #### onResponseHeader

          protected void onResponseHeader(Buffer name,
                              Buffer value)
                                   throws IOException

      Description copied from class: `HttpExchange`
      Callback called for each response header received from the server. This implementation does nothing.
      Overrides:
        `onResponseHeader` in class `HttpExchange`
      Parameters:
        `name` - the header name
        `value` - the header value
      Throws:
        `IOException` - allowed to be thrown by overriding code

    - #### waitTilCompletion

          public void waitTilCompletion()
                                 throws InterruptedException

      Throws:
        `InterruptedException`

    - #### onResponseComplete

          protected void onResponseComplete()
                                     throws IOException

      Description copied from class: `HttpExchange`
      Callback called when the entire response has been received from the server This implementation does nothing.
      Overrides:
        `onResponseComplete` in class `HttpExchange`
      Throws:
        `IOException` - allowed to be thrown by overriding code

    - #### isWebdavSupported

          public boolean isWebdavSupported()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.